package com.chenyang.nse.bussiness.engine.infa.basic.xmlbean;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.NormalizedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(
   name = "",
   propOrder = {"versionnumber", "tasksmustrunonserver", "suspendonerror", "serverdomainname", "servername", "schedulername", "reusablescheduler", "name", "isvalid", "isservice", "isrunnableservice", "isenabled", "description", "scheduler", "task", "session", "worklet", "taskinstance", "workflowlink", "workflowvariable", "workflowevent", "attribute", "metadataextension", "conwfruninfo"}
)
@XmlRootElement(
   name = "WORKFLOW"
)
public class WORKFLOW {
   @XmlAttribute(
      name = "NAME",
      required = true
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String name;
   @XmlAttribute(
      name = "DESCRIPTION"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String description;
   @XmlAttribute(
      name = "SERVERNAME"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String servername;
   @XmlAttribute(
      name = "SERVER_DOMAINNAME"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String serverdomainname;
   @XmlAttribute(
      name = "SUSPENSION_EMAIL"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String suspensionemail;
   @XmlAttribute(
      name = "SCHEDULERNAME"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String schedulername;
   @XmlAttribute(
      name = "REUSABLE_SCHEDULER"
   )
   @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
   protected String reusablescheduler;
   @XmlAttribute(
      name = "ISVALID"
   )
   @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
   protected String isvalid;
   @XmlAttribute(
      name = "ISENABLED"
   )
   @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
   protected String isenabled;
   @XmlAttribute(
      name = "SUSPEND_ON_ERROR"
   )
   @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
   protected String suspendonerror;
   @XmlAttribute(
      name = "TASKS_MUST_RUN_ON_SERVER"
   )
   @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
   protected String tasksmustrunonserver;
   @XmlAttribute(
      name = "VERSIONNUMBER"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String versionnumber;
   @XmlAttribute(
      name = "ISSERVICE"
   )
   @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
   protected String isservice;
   @XmlAttribute(
      name = "ISRUNNABLESERVICE"
   )
   @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
   protected String isrunnableservice;
   @XmlAttribute(
      name = "SERVICELEVELNAME"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String servicelevelname;
   @XmlElement(
      name = "SCHEDULER"
   )
   protected SCHEDULER scheduler;
   @XmlElement(
      name = "TASK"
   )
   protected List<TASK> task;
   @XmlElement(
      name = "SESSION"
   )
   protected List<SESSION> session;
   @XmlElement(
      name = "WORKLET"
   )
   protected List<WORKLET> worklet;
   @XmlElement(
      name = "TASKINSTANCE"
   )
   protected List<TASKINSTANCE> taskinstance;
   @XmlElement(
      name = "WORKFLOWLINK"
   )
   protected List<WORKFLOWLINK> workflowlink;
   @XmlElement(
      name = "WORKFLOWVARIABLE"
   )
   protected List<WORKFLOWVARIABLE> workflowvariable;
   @XmlElement(
      name = "WORKFLOWEVENT"
   )
   protected List<WORKFLOWEVENT> workflowevent;
   @XmlElement(
      name = "ATTRIBUTE"
   )
   protected List<ATTRIBUTE> attribute;
   @XmlElement(
      name = "METADATAEXTENSION"
   )
   protected List<METADATAEXTENSION> metadataextension;
   @XmlElement(
      name = "CONWFRUNINFO"
   )
   protected List<CONWFRUNINFO> conwfruninfo;

   public String getNAME() {
      return this.name;
   }

   public void setNAME(String value) {
      this.name = value;
   }

   public String getDESCRIPTION() {
      return this.description;
   }

   public void setDESCRIPTION(String value) {
      this.description = value;
   }

   public String getSERVERNAME() {
      return this.servername;
   }

   public void setSERVERNAME(String value) {
      this.servername = value;
   }

   public String getSERVERDOMAINNAME() {
      return this.serverdomainname;
   }

   public void setSERVERDOMAINNAME(String value) {
      this.serverdomainname = value;
   }

   public String getSUSPENSIONEMAIL() {
      return this.suspensionemail;
   }

   public void setSUSPENSIONEMAIL(String value) {
      this.suspensionemail = value;
   }

   public String getSCHEDULERNAME() {
      return this.schedulername;
   }

   public void setSCHEDULERNAME(String value) {
      this.schedulername = value;
   }

   public String getREUSABLESCHEDULER() {
      return this.reusablescheduler;
   }

   public void setREUSABLESCHEDULER(String value) {
      this.reusablescheduler = value;
   }

   public String getISVALID() {
      return this.isvalid;
   }

   public void setISVALID(String value) {
      this.isvalid = value;
   }

   public String getISENABLED() {
      return this.isenabled;
   }

   public void setISENABLED(String value) {
      this.isenabled = value;
   }

   public String getSUSPENDONERROR() {
      return this.suspendonerror;
   }

   public void setSUSPENDONERROR(String value) {
      this.suspendonerror = value;
   }

   public String getTASKSMUSTRUNONSERVER() {
      return this.tasksmustrunonserver;
   }

   public void setTASKSMUSTRUNONSERVER(String value) {
      this.tasksmustrunonserver = value;
   }

   public String getVERSIONNUMBER() {
      return this.versionnumber;
   }

   public void setVERSIONNUMBER(String value) {
      this.versionnumber = value;
   }

   public String getISSERVICE() {
      return this.isservice;
   }

   public void setISSERVICE(String value) {
      this.isservice = value;
   }

   public String getISRUNNABLESERVICE() {
      return this.isrunnableservice;
   }

   public void setISRUNNABLESERVICE(String value) {
      this.isrunnableservice = value;
   }

   public String getSERVICELEVELNAME() {
      return this.servicelevelname;
   }

   public void setSERVICELEVELNAME(String value) {
      this.servicelevelname = value;
   }

   public SCHEDULER getSCHEDULER() {
      return this.scheduler;
   }

   public void setSCHEDULER(SCHEDULER value) {
      this.scheduler = value;
   }

   public List<TASK> getTASK() {
      if (this.task == null) {
         this.task = new ArrayList();
      }

      return this.task;
   }

   public List<SESSION> getSESSION() {
      if (this.session == null) {
         this.session = new ArrayList();
      }

      return this.session;
   }

   public List<WORKLET> getWORKLET() {
      if (this.worklet == null) {
         this.worklet = new ArrayList();
      }

      return this.worklet;
   }

   public List<TASKINSTANCE> getTASKINSTANCE() {
      if (this.taskinstance == null) {
         this.taskinstance = new ArrayList();
      }

      return this.taskinstance;
   }

   public List<WORKFLOWLINK> getWORKFLOWLINK() {
      if (this.workflowlink == null) {
         this.workflowlink = new ArrayList();
      }

      return this.workflowlink;
   }

   public List<WORKFLOWVARIABLE> getWORKFLOWVARIABLE() {
      if (this.workflowvariable == null) {
         this.workflowvariable = new ArrayList();
      }

      return this.workflowvariable;
   }

   public List<WORKFLOWEVENT> getWORKFLOWEVENT() {
      if (this.workflowevent == null) {
         this.workflowevent = new ArrayList();
      }

      return this.workflowevent;
   }

   public List<ATTRIBUTE> getATTRIBUTE() {
      if (this.attribute == null) {
         this.attribute = new ArrayList();
      }

      return this.attribute;
   }

   public List<METADATAEXTENSION> getMETADATAEXTENSION() {
      if (this.metadataextension == null) {
         this.metadataextension = new ArrayList();
      }

      return this.metadataextension;
   }

   public List<CONWFRUNINFO> getCONWFRUNINFO() {
      if (this.conwfruninfo == null) {
         this.conwfruninfo = new ArrayList();
      }

      return this.conwfruninfo;
   }
}
